import React, { PureComponent } from 'react';
// eslint-disable-next-line
import { Form, Input, Row, Col, Tabs, Icon, Collapse } from 'antd';
import { FormButtonModel, FormPageModel, FormItemModel, FormDRUIPartModel, FormPartModel, FormGroupPanelModel, FormIFrameModel, FormRowItemModel, FormTabPageModel, FormTabPanelModel, FormUserControlModel } from '../../../ibizsys/form-detail';
import './${srffilepath2(ctrl.codeName)}.less';
const { TabPane } = Tabs;
const { Panel } = Collapse;

/**
 * 表单属性
 *
 * @export
 * @interface ${srfclassname(ctrl.codeName)}FormData
 */
export interface ${srfclassname(ctrl.codeName)}FormData {
<#list ctrl.getPSDEFormItems() as item>
    ${item.getName()}: any,
</#list>
}

/**
 * 输入属性
 *
 * @export
 * @interface ${srfclassname(ctrl.codeName)}Props
 */
export interface ${srfclassname(ctrl.codeName)}Props {
    data: ${srfclassname(ctrl.codeName)}FormData;
}

/**
 * ${srfclassname(ctrl.codeName)}
 *
 * @export
 * @class ${srfclassname(ctrl.codeName)}
 * @extends {PureComponent}
 */
export default class ${srfclassname(ctrl.codeName)} extends PureComponent<${srfclassname(ctrl.codeName)}Props> {
    /**
     * 表单数据
     *
     * @type {*}
     * @memberof ${srfclassname(ctrl.codeName)}
     */
    public data: any = {};

    /**
     * 详情模型集合
     *
     * @type {*}
     * @memberof ${srfclassname('${ctrl.codeName}')}
     */
    public detailsModel: any = {
        <#list ctrl.getAllPSDEFormDetails() as formdetail>
        ${formdetail.name}: ${P.getPartCode(formdetail, 'DETAIL_MODEL').code},
        </#list>
        <#if !ctrl.isNoTabHeader()>
        ${ctrl.name}: new FormTabPanelModel({ caption: '${ctrl.name}', detailType: 'TABPANEL', name: '${ctrl.name}', visible: true, isShowCaption: true, form: this, tabPages: [<#list ctrl.getPSDEFormPages() as formmenber><#if formmenber_index gt 0>, </#if>{ name: '${formmenber.name}', index: ${formmenber_index}, visible: <#if formmenber.getPSDEFDGroupLogic('PANELVISIBLE')??>false<#else>true</#if> }</#list>] }),
        </#if>
    };

    /**
     * 表单分页切换
     *
     * @param {string} key 分页标识
     * @memberof ${srfclassname(ctrl.codeName)}
     */
    public tabChange(key: string): void {

    }

    /**
     * 绘制内容
     *
     * @returns
     * @memberof ${srfclassname(ctrl.codeName)}
     */
    public render(): any {
        return <>
            ${P.getPartCode(item,'FORM').code}
        </>;
    }

}